--Nodes/Items
minetest.register_node("lavacooling:moltenrock", {
  description = "Molten Rock",
  inventory_image = minetest.inventorycube("lavacooling_moltenrock.png"),
  tiles = {
    {name="lavacooling_moltenrock_a.png", animation={type="vertical_frames", aspect_w=16, aspect_h=16, length=6.0}}
  },
  paramtype = "light",
  light_source = 10,
  groups = {hot=3, igniter=1},
  sounds = default.node_sound_stone_defaults(),
  walkable = true,
  pointable = true,
  diggable = true,
  buildable_to = false,
  post_effect_color = {a=192, r=255, g=64, b=0},
--  groups = {lava=3, liquid=2, hot=3, igniter=1},
})

minetest.register_node("lavacooling:moltenrock_cold", {
  description = "Molten Rock Cold",
  inventory_image = minetest.inventorycube("lavacooling_moltenrock_cold.png"),
  tiles = {"lavacooling_moltenrock_cold.png"},
  paramtype = "light",
  light_source = 5,
  groups = {cracky=3, stone=1, dig_immediate=3},
  sounds = default.node_sound_stone_defaults(),
  walkable = true,
  pointable = true,
  buildable_to = false,
  post_effect_color = {a=192, r=255, g=64, b=0},
})


minetest.register_node("lavacooling:pumice", {
  description = "Pumice",
  tiles = {"lavacooling_pumice.png"},
  groups = {cracky=3, dig_immediate=3},
  diggable = true,
  sounds = default.node_sound_stone_defaults(),
})

minetest.register_craft({
  type = "fuel",
  recipe = "lavacooling:moltenrock",
  burntime = 25,
})
