--[[
 Funções
   Armazenamento de funções que não estão cobertas por outras bibliotecas
--]]

--Faz uma pedra quando chamada se o módulos lavacooling estiver desativado.
function lavacooling.cool_lava_flowing_disable (pos)
  if lavacooling.LAVACOOLING_ATIVO == 1 then
    return
  else
    
    minetest.env:set_node(pos, {name="default:stone"})
  end
end

--Faz uma pedra obsidiana quando chamada se o módulos lavacooling estiver desativado.
function lavacooling.cool_lava_source_disable (pos)
  if lavacooling.LAVACOOLING_ATIVO == 1 then
    return
  else
    minetest.env:set_node(pos, {name="default:obsidian"})
  end
end

--Adiciona a lista de minérios gerados itens do technic e do moreores
function lavacooling.carrega_minerios()
  lavacooling.METAIS_RAROS={}
  lavacooling.METAIS={}

  table.insert(lavacooling.METAIS,"default:stone_with_copper")
  table.insert(lavacooling.METAIS,"default:stone_with_iron")
  
  table.insert(lavacooling.METAIS_RAROS, "default:stone_with_gold")
  table.insert(lavacooling.METAIS_RAROS, "default:stone_with_mese")
  table.insert(lavacooling.METAIS_RAROS, "default:stone_with_diamond")
  table.insert(lavacooling.METAIS_RAROS, "diamonds:diamond_in_ground")

  if minetest.get_modpath("technic")~="" and minetest.get_modpath("technic") ~= nil then
    table.insert(lavacooling.METAIS_RAROS, "technic:mineral_uranium")
    table.insert(lavacooling.METAIS_RAROS, "technic:mineral_chromium")
    table.insert(lavacooling.METAIS_RAROS, "technic:mineral_zinc")
  end

  if minetest.get_modpath("moreores")~="" and minetest.get_modpath("moreores") ~= nil then
    table.insert(lavacooling.METAIS_RAROS, "moreores:mineral_mithril")
    table.insert(lavacooling.METAIS, "moreores:mineral_tin")
    table.insert(lavacooling.METAIS, "moreores:mineral_silver")
  end
end
